org.apache.pdfbox.pdmodel.interactive.annotation

## Class PDExternalDataDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.PDExternalDataDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDExternalDataDictionary
    extends Object
    implements COSObjectable

This class represents an external data dictionary.

### Constructor Summary

Constructors
Constructor and Description
`PDExternalDataDictionary()` Constructor.
`PDExternalDataDictionary(COSDictionary dictionary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` returns the dictionary.
`String` `getSubtype()` returns the subtype of the external data dictionary.
`String` `getType()` returns the type of the external data dictionary.
`void` `setSubtype(String subtype)` This will set the subtype of the external data dictionary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDExternalDataDictionary

    public PDExternalDataDictionary()

Constructor.

#### PDExternalDataDictionary

    public PDExternalDataDictionary(COSDictionary dictionary)

Constructor.

Parameters:
  `dictionary` - Dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

returns the dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the dictionary

#### getType

    public String getType()

returns the type of the external data dictionary. It must be "ExData", if present

Returns:
  the type of the external data dictionary

#### getSubtype

    public String getSubtype()

returns the subtype of the external data dictionary.

Returns:
  the subtype of the external data dictionary

#### setSubtype

    public void setSubtype(String subtype)

This will set the subtype of the external data dictionary.

Parameters:
  `subtype` - the subtype of the external data dictionary